# CryoGrid3

## Background

**CryoGrid 3** is a land-surface scheme dedicated to modeling of ground temperatures in permafrost environments. Its excess ice module **Xice** is capable of simulating ground subsidence and thermokarst lake formation due to melting of excess ground ice. The basic version of **CryoGrid 3** and **Xice** is described in the following article:

Westermann, S., Langer, M., Boike, J., Heikenfeld, M., Peter, M., Etzelmüller, B., & Krinner, G. (2016). Simulating the thermal regime and thaw processes of ice-rich permafrost ground with the land-surface model CryoGrid 3. *Geosci. Model Dev.*, 9(2), 523–546. [https://doi.org/10.5194/gmd-9-523-2016](https://doi.org/10.5194/gmd-9-523-2016)


## Instructions

### System requirements
- The code needs to be executed using the software *MATLAB* with the *Statistics and Machine Learning Toolbox* and the *Parallel Computing Toolbox*.
- The code has been tested using the *MATLAB* versions `R2019b` 

### Installation
A dedicated installation or compilation of the code is not necessary.

### Usage
- The forcing data needed to run the model are contained in the directory `./forcing`.
- The script `loadExperimentSetting.m` can be used to setup specific parameters
- The script `loadEmbankmentSetting.m` can be used to setup specific embankment structures
- The script `run_CryoGrid3_xice_mpi.m` can be used to run the model code. 
- The script `CryoGrid3_xice_mpi_4_Railway.m` is the main program. 
- The default output directory is `./data`.

### Reproduction of results
- The setup files for the runs presented in the research article are provided in the script `loadExperimentSetting.m`, `loadEmbankmentSetting.m`, and `CryoGrid3_xice_mpi_4_Railway.m`.
- To reproduce the results, it is necessary to execute `run_CryoGrid3_xice_mpi.m` in *MATLAB*.
- Note that the usual computation time for a RCP scenario run is about 2 to 3 days on a state-of-the-art CPU.
