function PARA = loadEmbankmentSetting(PARA)
    PARA.IS.RoadOrientation = 1;                                % Road Orientation 0: East/West facing -> use standard SW forcing; 1: South facing -> use adapted SW forcing
    PARA.IS.EBHag = 3.7;                                        % embankement height above ground [m]
    PARA.IS.EBHbg = 0.2;                                        % embankement height below ground [m] 
    PARA.IS.EBT = PARA.IS.EBHag + PARA.IS.EBHbg;                % total embankment thickness [m]
    PARA.IS.Ballast = 0.4;                                      % thickness of ballast layer [m]
    PARA.IS.LSW = 1.6;                                          % left shoulder width [m]
    PARA.IS.RSW = 0.8;                                          % right shoulder width [m]
    PARA.IS.TileWidth = [50 5.55 1.6 1.2 4.8 1.2 0.8 5.55 50];  % width of different railway embankment units 
                                                                % (from left to right: they are tundra, left shoulder,left outer filling, left inner filling, railway center, right inner filling, right outer filling, right shoulder, and tundra)
    PARA.IS.SlopeEB = 1/1.5;                                    % Slope of the shoulder of the embankment
end