function PARA = loadExperimentSetting(PARA)
    PARA.Exp.SetLoc = 'BLH';              % specify location
    PARA.Exp.Scen='rcp26';                % specify scenario, RCPscennarios:rcp2.6 or rcp8.5
    PARA.Exp.ExpSet = 'FINAL_RUN';
    PARA.Exp.Dir = 'Runs/';    
    PARA.Exp.forcing.filename = ['BLH_Tibetan_Plateau_CMFD_GFDL_',PARA.Exp.Scen,'_1975_2094']; % forcing dataset
    PARA.Exp.DepthXice = 2;               % depth of xice layer below grounf surface
    PARA.Exp.ThicknessXice = 3;           % thickness of xice layer
    PARA.modules.xice=1;                  % true if thaw subsidence is enabled
    PARA.modules.infrastructure=1;        % 1: railway setting 
    PARA.Exp.zOSL = 0.2;                  % depth of organic surface layer [m]
    PARA.soil.relative_maxWater=0.;       % relative Max Water (max depth water table above soil) [m]
    PARA.snow.relative_maxSnow=0.10;      % maximum snow depth that can be reached [m] - excess snow is removed in the model - if empty, no snow threshold
    PARA.Tinitial = [-2     5;    ...     % Zhang et al., 2020. DOI: 10.1016/j.coldregions.2019.102904                                            
                     0.4    4.5;  ...     % Yi et al., 2018. DOI: 10.5194/tc-12-3067-2018. 
                     0.8    3.5;  ...
                     3      0.0;  ...   
                     10    -0.7;  ... 
                     20    -0.15; ...
                     30     0.15; ...
                     40     0.32; ...
                     60     1.81; ... 
                     600   21.25; ...
                     1000  35.65];    