function run_CryoGrid3_xice_mpi % give number of tiles
% run script to start infrastructure simulations

add_modules;                    %adds required modules

PARA.modules.restart = 0;       % 0: no restart, 1: restart from restart file (restart file and new end date have to be specified in main script
PARA.technical.restartyear=0;   % only for tracking of restart years, do not modify
PARA.modules.parallelMode = 0;  % parallel mode off/on
numTiles = 9;                   % can be changed based on the embankment structure
if(numTiles>1)
   PARA.modules.parallelMode = 1; % switch on parallel mode
end
%%
if(PARA.modules.parallelMode==1); delete(gcp('nocreate')); end  % must be off in batch mode

if numTiles>1 && isempty( gcp('nocreate') )                     % multiple workers
    parpool(numTiles);                                          % must not be invoked here in batch mode
end

if(PARA.modules.parallelMode==1)
    spmd
    index=labindex;                                             % number identifying the process; change this to e.g. 1 for single realization (non-parallel) run
    CryoGrid3_xice_mpi_4_Railway(PARA);
    end
    delete(gcp('nocreate')) 
else                                                            % single worker  - make sure that PARA.modules.lateral set to 0!
    CryoGrid3_xice_mpi_4_Railway(PARA);
end
end % end function
